package com.gree.mall.manager.commonmapper;

import com.baomidou.mybatisplus.annotation.SqlParser;
import com.gree.mall.manager.bean.tax.OrderTaxExcelBean;
import com.gree.mall.manager.plus.entity.GoodsCategory;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TaxMapper {
    @SqlParser(filter = true)
    GoodsCategory queryTaxById(@Param("orderDetailId")String orderDetailId);

    @SqlParser(filter = true)
    List<GoodsCategory> queryGoodsCategoryByOrderId(@Param("orderId")String orderId);

    List<OrderTaxExcelBean> queryOrderTaxExcelMsg(@Param("companyWechatIds")List<String> companyWechatIds, @Param("adminWebsitIds")List<String> adminWebsitIds
            ,@Param("status") Boolean status, @Param("orderId")String orderId);

}
